Bug 489676 - Review Request: perl-XML-Simple-DTDReader - Simple XML file reading based on their DTDs
Review Request: perl-XML-Simple-DTDReader - Simple XML file reading based on ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 07:10 EDT by Xavier Bachelot
Modified: 2009-03-18 15:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.04-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-18 15:01:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-03-11 07:10:25 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-XML-Simple-DTDReader.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-XML-Simple-DTDReader-0.04-1.fc10.src.rpm
Description: XML::Simple::DTDReader aims to be a XML::Simple drop-in replacement, but with several aspects of the module controlled by the XML's DTD. Specifically, array folding and array forcing are inferred from the DTD.
Comment 1 Jason Tibbitts 2009-03-13 13:55:08 EDT
This fails to build for me.  The %check section fails:

+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Can't locate Test/More.pm in @INC (@INC contains: /builddir/build/BUILD/XML-Simple-DTDReader-0.04/blib/lib /builddir/build/BUILD/XML-Simple-DTDReader-0.04/blib/arch /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/site_perl .) at t/1.t line 1.
BEGIN failed--compilation aborted at t/1.t line 1.
t/1.t ..
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run

This indicates missing build dependencies.
Comment 2 Xavier Bachelot 2009-03-13 16:21:39 EDT
How embarrassing... I could have swear I've built it into mock.

Fixed package :
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-XML-Simple-DTDReader.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-XML-Simple-DTDReader-0.04-2.fc10.src.rpm
Comment 3 Jason Tibbitts 2009-03-15 17:51:01 EDT
Thanks.  It boulds now, and looks OK except for one problem:

The dependency on XML::Parser is doubled.  rpm finds an unversioned dependency by itself, but the spec has a manual versioned one.  All supported Fedora releases shipped with XML::Parser 2.36 or later, so there shouldn't be a need for a explicit versioned dependency and you should be able to just drop it.  However, if you really want to keep it, you'll need to filter the automatic one.

* source files match upstream.  sha256sum:
   00335c6817f7a76c034183b4fc25effae7f00ba0d8ac86ab418f60d2cce4d224  
   XML-Simple-DTDReader-0.04.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(XML::Simple::DTDReader) = 0.04
   perl-XML-Simple-DTDReader = 0.04-2.fc11
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Cwd)
   perl(Data::Dumper)
   perl(Exporter)
   perl(File::Basename)
X  perl(XML::Parser)
   perl(XML::Parser) >= 2.28
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=1, Tests=20,  0 wallclock secs ( 0.03 usr  0.00 sys +  0.17 cusr  0.03 
    csys =  0.23 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 4 Xavier Bachelot 2009-03-15 18:34:44 EDT
I've removed the explicit R: from the spec.
Fixed package :
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-XML-Simple-DTDReader.spec
SRPM URL:
http://www.bachelot.org/fedora/SRPMS/perl-XML-Simple-DTDReader-0.04-3.fc10.src.rpm  

Thanks for the review, Jason.
Comment 5 Jason Tibbitts 2009-03-16 20:55:26 EDT
Looks good, thanks.

APPROVED
Comment 6 Xavier Bachelot 2009-03-17 04:34:18 EDT
New Package CVS Request
=======================
Package Name: perl-XML-Simple-DTDReader
Short Description: Simple XML file reading based on their DTDs
Owners: xavierb
Branches: F-9 F-10 EL-4 EL-5
InitialCC: perl-sig
Comment 7 Kevin Fenzi 2009-03-17 23:43:59 EDT
cvs done.
Comment 8 Fedora Update System 2009-03-18 05:48:39 EDT
perl-XML-Simple-DTDReader-0.04-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-XML-Simple-DTDReader-0.04-3.fc9
Comment 9 Fedora Update System 2009-03-18 05:48:46 EDT
perl-XML-Simple-DTDReader-0.04-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-XML-Simple-DTDReader-0.04-3.fc10
Comment 10 Fedora Update System 2009-03-18 15:00:54 EDT
perl-XML-Simple-DTDReader-0.04-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-03-18 15:08:35 EDT
perl-XML-Simple-DTDReader-0.04-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.